oracle.pgx.config

## Enum Format

- java.lang.Object
- - java.lang.Enum<Format>
  - - oracle.pgx.config.Format

- All Implemented Interfaces:
    Serializable, Comparable<Format>

      public enum Format
      extends Enum<Format>

  Graph Data Format.
  See Also:
    `documentation for detailed specifications of each format.`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADJ_LIST` Adjacency List File Format
    `EDGE_LIST` Edge List file format
    `GRAPHML` GraphML File Format
    `MULTI_TABLES_DB` Multiple database tables Format
    `PG` Property Graph (PG) Database Format
    `PGB` PGX Binary File Format (formally EBIN)
    `RDF` /** Resource Description Framework (RDF) Database Format
    `TWO_TABLES_DB` Two-Tables Database Format
    `TWO_TABLES_TEXT` TWO text file format (nodes, edges)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Format` | `parseFormat(String input)` Parses a format given as string.
    `String` | `toKey()`
    `String` | `toString()`
    `static Format` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Format[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADJ_LIST

          public static final Format ADJ_LIST

      Adjacency List File Format

    - #### EDGE_LIST

          public static final Format EDGE_LIST

      Edge List file format

    - #### GRAPHML

          public static final Format GRAPHML

      GraphML File Format

    - #### MULTI_TABLES_DB

          public static final Format MULTI_TABLES_DB

      Multiple database tables Format

    - #### PG

          public static final Format PG

      Property Graph (PG) Database Format

    - #### PGB

          public static final Format PGB

      PGX Binary File Format (formally EBIN)

    - #### RDF

          public static final Format RDF

      /** Resource Description Framework (RDF) Database Format

    - #### TWO_TABLES_DB

          public static final Format TWO_TABLES_DB

      Two-Tables Database Format

    - #### TWO_TABLES_TEXT

          public static final Format TWO_TABLES_TEXT

      TWO text file format (nodes, edges)

  - ### Method Detail

    - #### parseFormat

          public static Format parseFormat(String input)

      Parses a format given as string.
      Parameters:
        `input` - the input string
      Returns:
        the format

    - #### toKey

          public String toKey()

      Returns:
        JSON key representation of this format

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Format>`

    - #### valueOf

          public static Format valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static Format[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Format c : Format.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

Copyright © 2015. All rights reserved.